Skip to main content
PUT
Update the Job

Authorizations

X-DOMO-Developer-Token
string
header
required

Domo Developer Token for authentication

Path Parameters

Application_Id
string
required

ID of the application

Job_Id
string
required

ID of the job to update

Body

application/json
jobId
string
required

Job ID

Example:

"526906bb-e7e0-4f70-9ca0-3bb4fdf99c82"

jobName
string
required

Job name

Example:

"domo-labs-dev2.dev.domo.com"

executionTimeout
integer

Execution timeout in seconds

Example:

720

executionPayload
object
executionResponse
object

Execution response

accounts
integer[]

List of account IDs

Example:
resources
object
triggers
object[]

List of triggers

Example:

Response

200 - application/json

Job updated successfully

status
string

Response status

Example:

"OK"

code
integer

HTTP status code

Example:

200

message
string

Response message

Example:

"Job updated successfully"